POS365.VN APIs

<back to all web services

GetTaxDeclarationVatPitBranch

Requires Authentication
The following routes are available for this service:
GET/api/v2/tax-declarations/vatpitbranch
GetTaxDeclarationBase<T> Parameters:
NameParameterData TypeRequiredDescription
PeriodTypeformPeriodTypeNo
PeriodValueformintNo
PeriodYearformintNo
PeriodType Enum:
NameValue
Monthly1enum_Monthly
Quarterly2enum_Quarterly
Yearly3enum_Yearly
GetTaxDeclarationVatPitBranchResponse Parameters:
NameParameterData TypeRequiredDescription
DataformList<TaxDeclarationVatPitBranchDto>No
TaxDeclarationVatPitBranchDto Parameters:
NameParameterData TypeRequiredDescription
BranchIdformint?No
BranchCodeformstringNo
BranchNameformstringNo
IsBranchHOformboolNo
TaxDeclarationVatPitDetailDtosformList<TaxDeclarationVatPitDetailDto>No
TaxDeclarationVatPitDetailDto Parameters:
NameParameterData TypeRequiredDescription
IdformlongNo
TargetCodeformstringNo
VatTaxRevenueformstringNo
VatTaxAmountformstringNo
PitTaxRevenueformstringNo
PitTaxAmountformstringNo
PitDeductionRevenueformstringNo
BusinessLineGroupformBusinessLineGroupTypeNo
GetTaxDeclarationVatPitBranchResponse Parameters:
NameParameterData TypeRequiredDescription
DataformList<TaxDeclarationVatPitBranchDto>No

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /api/v2/tax-declarations/vatpitbranch HTTP/1.1 
Host: api.pos365.vn 
Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<GetTaxDeclarationVatPitBranchResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/POS.Application.TaxDeclaration.Model.Response">
  <Data xmlns:d2p1="http://schemas.datacontract.org/2004/07/POS.Application.TaxDeclaration.Model.Dtos">
    <d2p1:TaxDeclarationVatPitBranchDto>
      <d2p1:BranchCode>String</d2p1:BranchCode>
      <d2p1:BranchId>0</d2p1:BranchId>
      <d2p1:BranchName>String</d2p1:BranchName>
      <d2p1:IsBranchHO>false</d2p1:IsBranchHO>
      <d2p1:TaxDeclarationVatPitDetailDtos>
        <d2p1:TaxDeclarationVatPitDetailDto>
          <d2p1:BusinessLineGroup>Distribution</d2p1:BusinessLineGroup>
          <d2p1:Id>0</d2p1:Id>
          <d2p1:PitDeductionRevenue>String</d2p1:PitDeductionRevenue>
          <d2p1:PitTaxAmount>String</d2p1:PitTaxAmount>
          <d2p1:PitTaxRevenue>String</d2p1:PitTaxRevenue>
          <d2p1:TargetCode>String</d2p1:TargetCode>
          <d2p1:VatTaxAmount>String</d2p1:VatTaxAmount>
          <d2p1:VatTaxRevenue>String</d2p1:VatTaxRevenue>
        </d2p1:TaxDeclarationVatPitDetailDto>
      </d2p1:TaxDeclarationVatPitDetailDtos>
    </d2p1:TaxDeclarationVatPitBranchDto>
  </Data>
</GetTaxDeclarationVatPitBranchResponse>